net.minecraft.client.renderer.texture

## Class TextureAtlasSprite

- java.lang.Object
- - net.minecraft.client.renderer.texture.TextureAtlasSprite

- All Implemented Interfaces:
    Icon
  Direct Known Subclasses:
    TextureClock, TextureCompass

      public class TextureAtlasSprite
      extends Object
      implements Icon

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearFramesTextureData()`
    `void` | `copyFrom(TextureAtlasSprite par1TextureAtlasSprite)`
    `int` | `getFrameCount()`
    `int[]` | `getFrameTextureData(int par1)`
    `int` | `getIconHeight()` Returns the height of the icon, in pixels.
    `String` | `getIconName()`
    `int` | `getIconWidth()` Returns the width of the icon, in pixels.
    `float` | `getInterpolatedU(double par1)` Gets a U coordinate on the icon.
    `float` | `getInterpolatedV(double par1)` Gets a V coordinate on the icon.
    `float` | `getMaxU()` Returns the maximum U coordinate to use when rendering with this icon.
    `float` | `getMaxV()` Returns the maximum V coordinate to use when rendering with this icon.
    `float` | `getMinU()` Returns the minimum U coordinate to use when rendering with this icon.
    `float` | `getMinV()` Returns the minimum V coordinate to use when rendering with this icon.
    `int` | `getOriginX()` Returns the X position of this icon on its texture sheet, in pixels.
    `int` | `getOriginY()` Returns the Y position of this icon on its texture sheet, in pixels.
    `boolean` | `hasAnimationMetadata()`
    `void` | `initSprite(int par1, int par2, int par3, int par4, boolean par5)`
    `boolean` | `load(ResourceManager manager, ResourceLocation location)` Load the specified resource as this sprite's data.
    `void` | `loadSprite(Resource par1Resource)`
    `void` | `setFramesTextureData(List par1List)`
    `void` | `setIconHeight(int par1)`
    `void` | `setIconWidth(int par1)`
    `String` | `toString()`
    `void` | `updateAnimation()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### initSprite

          public void initSprite(int par1,
                        int par2,
                        int par3,
                        int par4,
                        boolean par5)

    - #### copyFrom

          public void copyFrom(TextureAtlasSprite par1TextureAtlasSprite)

    - #### getOriginX

          public int getOriginX()

      Returns the X position of this icon on its texture sheet, in pixels.

    - #### getOriginY

          public int getOriginY()

      Returns the Y position of this icon on its texture sheet, in pixels.

    - #### getIconWidth

          public int getIconWidth()

      Returns the width of the icon, in pixels.
      Specified by:
        `getIconWidth` in interface `Icon`

    - #### getIconHeight

          public int getIconHeight()

      Returns the height of the icon, in pixels.
      Specified by:
        `getIconHeight` in interface `Icon`

    - #### getMinU

          public float getMinU()

      Returns the minimum U coordinate to use when rendering with this icon.
      Specified by:
        `getMinU` in interface `Icon`

    - #### getMaxU

          public float getMaxU()

      Returns the maximum U coordinate to use when rendering with this icon.
      Specified by:
        `getMaxU` in interface `Icon`

    - #### getInterpolatedU

          public float getInterpolatedU(double par1)

      Gets a U coordinate on the icon. 0 returns uMin and 16 returns uMax. Other arguments return in-between values.
      Specified by:
        `getInterpolatedU` in interface `Icon`

    - #### getMinV

          public float getMinV()

      Returns the minimum V coordinate to use when rendering with this icon.
      Specified by:
        `getMinV` in interface `Icon`

    - #### getMaxV

          public float getMaxV()

      Returns the maximum V coordinate to use when rendering with this icon.
      Specified by:
        `getMaxV` in interface `Icon`

    - #### getInterpolatedV

          public float getInterpolatedV(double par1)

      Gets a V coordinate on the icon. 0 returns vMin and 16 returns vMax. Other arguments return in-between values.
      Specified by:
        `getInterpolatedV` in interface `Icon`

    - #### getIconName

          public String getIconName()

      Specified by:
        `getIconName` in interface `Icon`

    - #### updateAnimation

          public void updateAnimation()

    - #### getFrameTextureData

          public int[] getFrameTextureData(int par1)

    - #### getFrameCount

          public int getFrameCount()

    - #### setIconWidth

          public void setIconWidth(int par1)

    - #### setIconHeight

          public void setIconHeight(int par1)

    - #### loadSprite

          public void loadSprite(Resource par1Resource)
                          throws IOException

      Throws:
        `IOException`

    - #### clearFramesTextureData

          public void clearFramesTextureData()

    - #### hasAnimationMetadata

          public boolean hasAnimationMetadata()

    - #### setFramesTextureData

          public void setFramesTextureData(List par1List)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### load

          public boolean load(ResourceManager manager,
                     ResourceLocation location)
                       throws IOException

      Load the specified resource as this sprite's data. Returning false from this function will prevent this icon from being stitched onto the master texture.
      Parameters:
        `manager` - Main resource manager
        `location` - File resource location
      Returns:
        False to prevent this Icon from being stitched
      Throws:
        `IOException`